// MIXINS, VARIABLES & EXTENDS:

@import "../styles/assets";

// HOME:

#home {
  p,
  ul {
    font-size: $typo-big-size;
    line-height: $line-height-big-size;
  }

  :global(section#intro),
  :global(#estudos_experimentos_open-source) {
    text-align: center;
  }

  :global(section#intro) {
    padding-bottom: 40px;
  }

  h1 {
    margin-bottom: 15px;
  }

  nav {
    --side-padding: 20px;
    @include flexbox();
    @include flex-wrap(wrap);
    @include justify-content(center);

    ul {
      li {
        list-style: none;
        &:not(:last-child) {
          padding-bottom: 7px;
        }
        a {
          text-decoration: none;
          color: inherit;
          &:hover {
            text-decoration: underline;
          }
        }
        &:global(.not-available) {
          display: none;
        }
      }
    }

    :global(#lado_a),
    :global(#lado_b) {
      @include flex-basis(calc(50% - var(--side-padding)));
      padding-bottom: 40px;
    }

    :global(#lado_a) {
      text-align: right;
      padding-right: 20px;
    }

    :global(#lado_b) {
      padding-left: 20px;
    }

    :global(#estudos_experimentos_open-source) {
      @include flex-basis(100%);
    }
  }

  // RESPONSIVENESS RULES:

  @media only screen and (max-width: $medium-max-width) {
    p,
    ul {
      font-size: $typo-normal-size;
      line-height: $line-height-normal-size;
    }
    nav {
      :global(#lado_a),
      :global(#lado_b) {
        @include flex-basis(100%);
        padding-left: 0;
        padding-right: 0;
        text-align: center;
      }
    }
  }
}
